Skip to main content
API Reference

Introduction

This page explains how to work with Engagespot's REST API

Base URL​

Base URL of the API depends on your workspace data region.

US Workspaces : https://api.engagespot.co/v3
EU Workspaces : https://api-eu.engagespot.co/v3

Authentication​

This API can be authenticated in three ways, based on from where you are making the request. You could make requests from your backend, or on behalf of your users via the frontend.

Backend​

This mode is required when you want to authenticate as your Engagespot app. This method gives you maximum privileges such as sending notifications. And this authentication mode uses two headers.

--header 'X-ENGAGESPOT-API-KEY: your_api_key' \
--header 'X-ENGAGESPOT-API-SECRET: your_api_secret'

Frontend​

This mode is required when you want to authenticate on behalf of an end-user of your app. This method gives you limited privileges such as reading their own notifications.

There are two ways to authenticate as a user:

Using API-KEY and USER-ID​

--header 'X-ENGAGESPOT-API-KEY: your_api_key' \
--header 'X-ENGAGESPOT-USER-ID: user_identifier'

Using JWT​

This mode is for the same purpose as above. But uses a JWT Token in Auth Bearer header for increased security.

--header 'Authorization: Bearer <SIGNED_JWT_TOKEN>'